commit:     977afad75859d08176fb201e54bd8ec248258fec
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 26 18:39:46 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Thu Sep 26 18:39:46 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=977afad7

dev-util/pycharm-community: Version bump (v2019.2.2)

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 dev-util/pycharm-community/Manifest                |  1 +
 .../pycharm-community-2019.2.2.ebuild              | 55 ++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-util/pycharm-community/Manifest 
b/dev-util/pycharm-community/Manifest
index 988df668c35..69ff1b69127 100644
--- a/dev-util/pycharm-community/Manifest
+++ b/dev-util/pycharm-community/Manifest
@@ -1,2 +1,3 @@
 DIST pycharm-community-2019.1.3.tar.gz 334018235 BLAKE2B 
8e4c400685e69aaa53426dee848d5f14a0c40b88232ee8cb8c0c0f2f727c68b9212600dab7717ec77c1cd4b42666bad965fcbc217e3158d357b5a5edd6a94e26
 SHA512 
42627af39a8530931442c8419ebee4d999faad40a203519fc8564e4b8b14d2476e8426e9976e487c92e4398db8efb15c5e2d28536b1c7b374898f9dc0021acbe
+DIST pycharm-community-2019.2.2.tar.gz 359797110 BLAKE2B 
64e7c811f04ccea8178632a9eb25f25641fbda9bf38f2cad55b7b15e9cfe568cecfa6ceafbdb4b8c670d32923e871efbeea20c4d670bcf851621bee61502c240
 SHA512 
7d136d98b695d04e16662d7ecf8d7a67dd37667952870dddde1d881aa899e2896a95e83de2a88cb42bd8f92e8872a9ada30941e85bcc251a00d73e87950c7f22
 DIST pycharm-community-2019.2.tar.gz 359295798 BLAKE2B 
9a1b19e93d0d2cba6c7dd2c059d511e4d193b6bd9e5f1900c3aadd6ff322891c834947360715c8f41e5112f7a71d3b5b09ed7e23dcf3dd8c6c4de9c4eaf16b5b
 SHA512 
490925de309bcb0ef052593e517f3d701ae1d82b05d4ea38bb7bb5eef86e9df21472e395fadbb21906fa1024358ae599285fba8fdb72b0ddb7f1e8f7f26ac046

diff --git a/dev-util/pycharm-community/pycharm-community-2019.2.2.ebuild 
b/dev-util/pycharm-community/pycharm-community-2019.2.2.ebuild
new file mode 100644
index 00000000000..3bd1b2cb410
--- /dev/null
+++ b/dev-util/pycharm-community/pycharm-community-2019.2.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils readme.gentoo-r1 xdg
+
+DESCRIPTION="Intelligent Python IDE with unique code assistance and analysis"
+HOMEPAGE="http://www.jetbrains.com/pycharm/";
+SRC_URI="http://download.jetbrains.com/python/${P}.tar.gz";
+
+LICENSE="Apache-2.0 BSD CDDL MIT-with-advertising"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=virtual/jre-1.8
+       dev-libs/libdbusmenu
+       dev-python/pip"
+
+RESTRICT="mirror strip"
+
+QA_PREBUILT="opt/${PN}/bin/fsnotifier
+       opt/${PN}/bin/fsnotifier64
+       opt/${PN}/bin/fsnotifier-arm"
+
+MY_PN=${PN/-community/}
+
+src_prepare() {
+       default
+
+       rm -rf jre || die
+}
+
+src_install() {
+       insinto /opt/${PN}
+       doins -r *
+
+       fperms a+x /opt/${PN}/bin/{pycharm.sh,fsnotifier{,64},inspect.sh}
+
+       dosym ../../opt/${PN}/bin/pycharm.sh /usr/bin/${PN}
+       newicon bin/${MY_PN}.png ${PN}.png
+       make_desktop_entry ${PN} ${PN} ${PN}
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_icon_cache_update
+}

Reply via email to